Package org.eclipse.cdt.utils.spawner

# Class ProcessFactory

java.lang.Object
org.eclipse.cdt.utils.spawner.ProcessFactory

public class ProcessFactory extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`Process`
`exec(String cmd)`
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules.
`Process`
`exec(String[] cmdarray)`
`Process`
`exec(String[] cmdarray, int gracefulExitTimeMs)`
`Process`
`exec(String[] cmdarray, String[] envp)`
`Process`
`exec(String[] cmdarray, String[] envp, int gracefulExitTimeMs)`
`Process`
`exec(String[] cmdarray, String[] envp, File dir)`
`Process`
`exec(String[] cmdarray, String[] envp, File dir, int gracefulExitTimeMs)`
`Process`
`exec(String[] cmdarray, String[] envp, File dir, PTY pty)`
`Process`
`exec(String[] cmdarray, String[] envp, File dir, PTY pty, int gracefulExitTimeMs)`
`Process`
`exec(String cmd, String[] envp)`
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules.
`Process`
`exec(String cmd, String[] envp, File dir)`
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules.
`static ProcessFactory`
`getFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFactory

public static ProcessFactory getFactory()

### exec

@Deprecated public Process exec(String cmd) throws IOException
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules. See Bug 573677

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray) throws IOException

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray, int gracefulExitTimeMs) throws IOException

Throws:
  `IOException`
Since:
  6.2

### exec

public Process exec(String[] cmdarray, String[] envp) throws IOException

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray, String[] envp, int gracefulExitTimeMs) throws IOException

Throws:
  `IOException`
Since:
  6.2

### exec

@Deprecated public Process exec(String cmd, String[] envp) throws IOException
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules. See Bug 573677

Throws:
  `IOException`

### exec

@Deprecated public Process exec(String cmd, String[] envp, File dir) throws IOException
Deprecated.
Do not use this method it splits command line arguments on whitespace with no regard to quoting rules. See Bug 573677

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray, String[] envp, File dir) throws IOException

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray, String[] envp, File dir, int gracefulExitTimeMs) throws IOException

Throws:
  `IOException`
Since:
  6.2

### exec

public Process exec(String[] cmdarray, String[] envp, File dir, PTY pty) throws IOException

Throws:
  `IOException`

### exec

public Process exec(String[] cmdarray, String[] envp, File dir, PTY pty, int gracefulExitTimeMs) throws IOException

Throws:
  `IOException`
Since:
  6.2